<script lang="ts">
    import type Building from '$models/Building'

    export let building: Building
    $: neededResources = building.getNeededResources()
</script>

<div class="upgrade-detail">
    {#if building.level === 0}
        <h3>Construction cost</h3>
    {:else}
        <h3>Upgrade cost</h3>
    {/if}
    <div class="line">
        <p>Metal :</p>
        <p>{neededResources.metal}</p>
    </div>
    <div class="line">
        <p>Graphite :</p>
        <p>{neededResources.graphite}</p>
    </div>
    {#if building.isProduction()}
        <div class="line bottom">
            <p>Production at level {building.level + 1} :</p>
            <p>{building.nextLevelProduction}</p>
        </div>
    {/if}
    {#if building.isStorage() || building.isStarshipyard()}
        <div class="line bottom">
            <p>Storage at level {building.level + 1} :</p>
            <p>{building.nextLevelStorage}</p>
        </div>
    {/if}
</div>

<style lang="postcss">
    .upgrade-detail {
        h3 {
            @apply font-semibold text-lg text-transparent bg-clip-text
            bg-gradient-to-r from-fuchsia-400 to-indigo-400
            dark:from-fuchsia-300 dark:to-indigo-300;
        }

        .line {
            @apply flex justify-between;

            &.bottom {
                @apply mt-4;
            }
        }
    }
</style>
